"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class QueryRequest {
    // Getters
    getSort() {
        return this.sort;
    }
    getRowForm() {
        return this.rowForm;
    }
    getKeyword() {
        return this.keyword;
    }
    getSearch() {
        return this.search;
    }
    // Setters
    setSort(sort) {
        this.sort = sort;
    }
    setRowForm(rowForm) {
        this.rowForm = rowForm;
    }
    setKeyword(keyword) {
        this.keyword = keyword;
    }
    setSearch(search) {
        this.search = search;
    }
    constructor(query) {
        this.sort = query.sort || 'ASC';
        this.rowForm = query.rowForm || 0;
        this.keyword = query.keyword || null;
        this.search = query.search || null;
    }
}
exports.default = QueryRequest;
