"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class SearchRequest {
    constructor(search) {
        this.cId = search.cId || null;
        this.keyword = search.keyword || null;
        this.filter = search.filter || null;
        this.minPrice = search.minPrice || 0;
        this.maxPrice = search.maxPrice || 0;
        this.cIds = search.cIds || [];
        this.limit = search.limit || 0;
        this.userId = search.userId || null;
    }
    // Getters
    getCId() {
        return this.cId;
    }
    getKeyword() {
        return this.keyword;
    }
    getFilter() {
        return this.filter;
    }
    getMinPrice() {
        return this.minPrice;
    }
    getMaxPrice() {
        return this.maxPrice;
    }
    getCIds() {
        return this.cIds;
    }
    getLimit() {
        return this.limit;
    }
    getUserId() {
        return this.userId;
    }
    // Setters
    setCId(cId) {
        this.cId = cId;
    }
    setKeyword(keyword) {
        this.keyword = keyword;
    }
    setFilter(filter) {
        this.filter = filter;
    }
    setMinPrice(minPrice) {
        this.minPrice = minPrice;
    }
    setMaxPrice(maxPrice) {
        this.maxPrice = maxPrice;
    }
    setCIds(cIds) {
        this.cIds = cIds;
    }
    setLimit(limit) {
        this.limit = limit;
    }
    setUserId(userId) {
        this.userId = userId;
    }
}
exports.default = SearchRequest;
