"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class AddressRequest {
    constructor(data) {
        this.id = data.id || '0';
        this.userId = data.userId || '0';
        this.mobile = data.mobile || null;
        this.fullName = data.fullName || null;
        this.address = data.address || null;
        this.city = data.city || null;
        this.state = data.state || null;
        this.country = data.country || null;
        this.pinCode = data.pinCode || null;
        this.createBy = data.createBy || 0;
        this.updateBy = data.updateBy || 0;
        this.createDate = data.createDate || null;
        this.updateDate = data.updateDate || null;
    }
    // Getters
    getId() {
        return this.id;
    }
    getUserId() {
        return this.userId;
    }
    getMobile() {
        return this.mobile;
    }
    getFullName() {
        return this.fullName;
    }
    getAddress() {
        return this.address;
    }
    getCity() {
        return this.city;
    }
    getState() {
        return this.state;
    }
    getCountry() {
        return this.country;
    }
    getPinCode() {
        return this.pinCode;
    }
    getCreateBy() {
        return this.createBy;
    }
    getUpdateBy() {
        return this.updateBy;
    }
    getCreateDate() {
        return this.createDate;
    }
    getUpdateDate() {
        return this.updateDate;
    }
    // Setters
    setId(id) {
        this.id = id;
    }
    setUserId(userId) {
        this.userId = userId;
    }
    setMobile(mobile) {
        this.mobile = mobile;
    }
    setFullName(fullName) {
        this.fullName = fullName;
    }
    setAddress(address) {
        this.address = address;
    }
    setCity(city) {
        this.city = city;
    }
    setState(state) {
        this.state = state;
    }
    setCountry(country) {
        this.country = country;
    }
    setPinCode(pinCode) {
        this.pinCode = pinCode;
    }
    setCreateBy(createBy) {
        this.createBy = createBy;
    }
    setUpdateBy(updateBy) {
        this.updateBy = updateBy;
    }
    setCreateDate(createDate) {
        this.createDate = createDate;
    }
    setUpdateDate(updateDate) {
        this.updateDate = updateDate;
    }
}
exports.default = AddressRequest;
