"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class CartRequest {
    constructor(data) {
        this.id = data.id || '0';
        this.variantId = data.variantId || '0';
        this.userId = data.userId || '0';
        this.orderId = data.orderId || null;
        this.netRate = data.netRate || null;
        this.unitPrice = data.unitPrice || null;
        this.quantity = data.quantity || null;
        this.packSize = data.packSize || null;
        this.createBy = data.createBy || 0;
        this.updateBy = data.updateBy || 0;
        this.createDate = data.createDate || null;
        this.updateDate = data.updateDate || null;
    }
    // Getters
    getId() {
        return this.id;
    }
    getVariantId() {
        return this.variantId;
    }
    getUserId() {
        return this.userId;
    }
    getOrderId() {
        return this.orderId;
    }
    getNetRate() {
        return this.netRate;
    }
    getUnitPrice() {
        return this.unitPrice;
    }
    getQuantity() {
        return this.quantity;
    }
    getPackSize() {
        return this.packSize;
    }
    getCreateBy() {
        return this.createBy;
    }
    getUpdateBy() {
        return this.updateBy;
    }
    getCreateDate() {
        return this.createDate;
    }
    getUpdateDate() {
        return this.updateDate;
    }
    // Setters
    setId(id) {
        this.id = id;
    }
    setVariantId(variantId) {
        this.variantId = variantId;
    }
    setUserId(userId) {
        this.userId = userId;
    }
    setOrderId(orderId) {
        this.orderId = orderId;
    }
    setNetRate(netRate) {
        this.netRate = netRate;
    }
    setUnitPrice(unitPrice) {
        this.unitPrice = unitPrice;
    }
    setQuantity(quantity) {
        this.quantity = quantity;
    }
    setPackSize(packSize) {
        this.packSize = packSize;
    }
    setCreateBy(createBy) {
        this.createBy = createBy;
    }
    setUpdateBy(updateBy) {
        this.updateBy = updateBy;
    }
    setCreateDate(createDate) {
        this.createDate = createDate;
    }
    setUpdateDate(updateDate) {
        this.updateDate = updateDate;
    }
}
exports.default = CartRequest;
