"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ProductRequest {
    // Getters
    getId() {
        return this.id;
    }
    getCId() {
        return this.cId;
    }
    getName() {
        return this.name;
    }
    getDescription() {
        return this.description;
    }
    getImage() {
        return this.image;
    }
    getCreateBy() {
        return this.createBy;
    }
    getUpdateBy() {
        return this.updateBy;
    }
    getCreateDate() {
        return this.createDate;
    }
    getUpdateDate() {
        return this.updateDate;
    }
    // Setters
    setId(id) {
        this.id = id;
    }
    setCId(cId) {
        this.cId = cId;
    }
    setName(name) {
        this.name = name;
    }
    setDescription(description) {
        this.description = description;
    }
    setImage(image) {
        this.image = image;
    }
    setCreateBy(createBy) {
        this.createBy = createBy;
    }
    setUpdateBy(updateBy) {
        this.updateBy = updateBy;
    }
    setCreateDate(createDate) {
        this.createDate = createDate;
    }
    setUpdateDate(updateDate) {
        this.updateDate = updateDate;
    }
    constructor(product) {
        this.id = product.id || '0';
        this.cId = product.cId || '0';
        this.name = product.name || null;
        this.description = product.description || null;
        this.image = product.image || null;
        this.createBy = product.createBy || 0;
        this.updateBy = product.updateBy || 0;
        this.createDate = product.createDate || null;
        this.updateDate = product.updateDate || null;
    }
}
exports.default = ProductRequest;
