"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class RoleRequest {
    // Getters
    getId() {
        return this.id;
    }
    getName() {
        return this.name;
    }
    getDescription() {
        return this.description;
    }
    getCreateBy() {
        return this.createBy;
    }
    getUpdateBy() {
        return this.updateBy;
    }
    getCreateDate() {
        return this.createDate;
    }
    getUpdateDate() {
        return this.updateDate;
    }
    // Setters
    setId(id) {
        this.id = id;
    }
    setName(name) {
        this.name = name;
    }
    setDescription(description) {
        this.description = description;
    }
    setCreateBy(createBy) {
        this.createBy = createBy;
    }
    setUpdateBy(updateBy) {
        this.updateBy = updateBy;
    }
    setCreateDate(createDate) {
        this.createDate = createDate;
    }
    setUpdateDate(updateDate) {
        this.updateDate = updateDate;
    }
    constructor(role) {
        this.id = role.id || '0';
        this.name = role.name || null;
        this.description = role.description || null;
        this.createBy = role.createBy || 0;
        this.updateBy = role.updateBy || 0;
        this.createDate = role.createDate || null;
        this.updateDate = role.updateDate || null;
    }
}
exports.default = RoleRequest;
