"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class UserRequest {
    // Getters
    getId() {
        return this.id;
    }
    getFirstName() {
        return this.firstName;
    }
    getLastName() {
        return this.lastName;
    }
    getSalt() {
        return this.salt;
    }
    getEmail() {
        return this.email;
    }
    getImage() {
        return this.image;
    }
    getPassword() {
        return this.password;
    }
    getActiveInactive() {
        return this.activeInactive;
    }
    getAttempts() {
        return this.attempts;
    }
    getIsAdmin() {
        return this.isAdmin;
    }
    getCreateBy() {
        return this.createBy;
    }
    getUpdateBy() {
        return this.updateBy;
    }
    getCreateDate() {
        return this.createDate;
    }
    getUpdateDate() {
        return this.updateDate;
    }
    // Setters
    setId(id) {
        this.id = id;
    }
    setFirstName(firstName) {
        this.firstName = firstName;
    }
    setLastName(lastName) {
        this.lastName = lastName;
    }
    setSalt(salt) {
        this.salt = salt;
    }
    setEmail(email) {
        this.email = email;
    }
    setImage(image) {
        this.image = image;
    }
    setPassword(password) {
        this.password = password;
    }
    setActiveInactive(activeInactive) {
        this.activeInactive = activeInactive;
    }
    setAttempts(attempts) {
        this.attempts = attempts;
    }
    setIsAdmin(isAdmin) {
        this.isAdmin = isAdmin;
    }
    setCreateBy(createBy) {
        this.createBy = createBy;
    }
    setUpdateBy(updateBy) {
        this.updateBy = updateBy;
    }
    setCreateDate(createDate) {
        this.createDate = createDate;
    }
    setUpdateDate(updateDate) {
        this.updateDate = updateDate;
    }
    constructor(data) {
        this.id = data.id || '0';
        this.firstName = data.firstName || null;
        this.lastName = data.lastName || null;
        this.email = data.email || null;
        this.password = data.password || null;
        this.salt = data.salt || null;
        this.image = data.image || null;
        this.activeInactive = data.activeInactive || false;
        this.isAdmin = data.isAdmin || false;
        this.attempts = data.attempts || 0;
        this.createBy = data.createBy || 0;
        this.updateBy = data.updateBy || 0;
        this.createDate = data.createDate || null;
        this.updateDate = data.updateDate || null;
    }
}
exports.default = UserRequest;
