"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class VariantRequst {
    // Getters
    getId() {
        return this.id;
    }
    getPId() {
        return this.pId;
    }
    getName() {
        return this.name;
    }
    getQuantity() {
        return this.quantity;
    }
    getPackSize() {
        return this.packSize;
    }
    getUnit() {
        return this.unit;
    }
    getMrp() {
        return this.mrp;
    }
    getUnitPrice() {
        return this.unitPrice;
    }
    getNetRate() {
        return this.netRate;
    }
    getNetRateInCash() {
        return this.netRateInCash;
    }
    getTopSelling() {
        return this.topSelling;
    }
    getBestDeal() {
        return this.bestDeal;
    }
    getImage() {
        return this.image;
    }
    getCreateBy() {
        return this.createBy;
    }
    getUpdateBy() {
        return this.updateBy;
    }
    getCreateDate() {
        return this.createDate;
    }
    getUpdateDate() {
        return this.updateDate;
    }
    // Setters
    setId(id) {
        this.id = id;
    }
    setPId(pId) {
        this.pId = pId;
    }
    setName(name) {
        this.name = name;
    }
    setQuantity(quantity) {
        this.quantity = quantity;
    }
    setPackSize(packSize) {
        this.packSize = packSize;
    }
    setUnit(unit) {
        this.unit = unit;
    }
    setMrp(mrp) {
        this.mrp = mrp;
    }
    setUnitPrice(unitPrice) {
        this.unitPrice = unitPrice;
    }
    setNetRate(netRate) {
        this.netRate = netRate;
    }
    setNetRateInCash(netRateInCash) {
        this.netRateInCash = netRateInCash;
    }
    setTopSelling(topSelling) {
        this.topSelling = topSelling;
    }
    setBestDeal(bestDeal) {
        this.bestDeal = bestDeal;
    }
    setImage(image) {
        this.image = image;
    }
    setCreateBy(createBy) {
        this.createBy = createBy;
    }
    setUpdateBy(updateBy) {
        this.updateBy = updateBy;
    }
    setCreateDate(createDate) {
        this.createDate = createDate;
    }
    setUpdateDate(updateDate) {
        this.updateDate = updateDate;
    }
    constructor(variant) {
        this.id = variant.id || '0';
        this.pId = variant.pId || '0';
        this.name = variant.name || null;
        this.quantity = variant.quantity || null;
        this.packSize = variant.packSize || 0;
        this.unit = variant.unit || null;
        this.mrp = variant.mrp || null;
        this.unitPrice = variant.unitPrice || null;
        this.netRate = variant.netRate || null;
        this.netRateInCash = variant.netRateInCash || null;
        this.topSelling = variant.topSelling || false;
        this.bestDeal = variant.bestDeal || false;
        this.image = variant.image || null;
        this.createBy = variant.createBy || 0;
        this.updateBy = variant.updateBy || 0;
        this.createDate = variant.createDate || null;
        this.updateDate = variant.updateDate || null;
    }
}
exports.default = VariantRequst;
