"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const bcrypt = require("bcrypt");
class BcryptUtil {
}
_a = BcryptUtil;
BcryptUtil.generateHash = (password, salts = 10) => __awaiter(void 0, void 0, void 0, function* () {
    let salt = null;
    (salts === 10) ?
        salt = yield bcrypt.genSalt(salts) :
        salt = salts;
    const hash = yield bcrypt.hash(password.toString(), salt);
    return { salt, hash };
});
exports.default = BcryptUtil;
