"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const dovtnv = require("dotenv");
dovtnv.config();
class ImageUtils {
}
ImageUtils.port = process.env.PORT;
ImageUtils.bufferToString = (imageBuffer) => {
    const base64String = imageBuffer.toString('base64');
    const addBase65String = `data:image/png;base64,${base64String}`;
    return addBase65String;
};
ImageUtils.generetUrlForImage = (path) => {
    return `http://localhost:${ImageUtils.port}/images/${path}`;
};
exports.default = ImageUtils;
